org.apache.synapse.commons.staxon.core.event

## Class SimpleXMLEventReader

- java.lang.Object
- - org.apache.synapse.commons.staxon.core.event.SimpleXMLEventReader

- All Implemented Interfaces:
    java.util.Iterator, javax.xml.stream.XMLEventReader

      public class SimpleXMLEventReader
      extends java.lang.Object
      implements javax.xml.stream.XMLEventReader

  Simple implementation of `XMLEventReader`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleXMLEventReader(javax.xml.stream.XMLStreamReader delegate)`
    `SimpleXMLEventReader(javax.xml.stream.XMLStreamReader delegate, javax.xml.stream.util.XMLEventAllocator allocator)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected javax.xml.stream.events.XMLEvent` | `allocate()`
    `void` | `close()`
    `java.lang.String` | `getElementText()`
    `java.lang.Object` | `getProperty(java.lang.String name)`
    `boolean` | `hasNext()`
    `java.lang.Object` | `next()`
    `javax.xml.stream.events.XMLEvent` | `nextEvent()`
    `javax.xml.stream.events.XMLEvent` | `nextTag()`
    `javax.xml.stream.events.XMLEvent` | `peek()`
    `void` | `remove()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining`

- - ### Constructor Detail

    - #### SimpleXMLEventReader

          public SimpleXMLEventReader(javax.xml.stream.XMLStreamReader delegate)

    - #### SimpleXMLEventReader

          public SimpleXMLEventReader(javax.xml.stream.XMLStreamReader delegate,
                                      javax.xml.stream.util.XMLEventAllocator allocator)

  - ### Method Detail

    - #### allocate

          protected javax.xml.stream.events.XMLEvent allocate()
                                                       throws javax.xml.stream.XMLStreamException

      Throws:
        `javax.xml.stream.XMLStreamException`

    - #### close

          public void close()
                     throws javax.xml.stream.XMLStreamException

      Specified by:
        `close` in interface `javax.xml.stream.XMLEventReader`
      Throws:
        `javax.xml.stream.XMLStreamException`

    - #### getElementText

          public java.lang.String getElementText()
                                          throws javax.xml.stream.XMLStreamException

      Specified by:
        `getElementText` in interface `javax.xml.stream.XMLEventReader`
      Throws:
        `javax.xml.stream.XMLStreamException`

    - #### getProperty

          public java.lang.Object getProperty(java.lang.String name)

      Specified by:
        `getProperty` in interface `javax.xml.stream.XMLEventReader`

    - #### hasNext

          public boolean hasNext()

      Specified by:
        `hasNext` in interface `java.util.Iterator`
      Specified by:
        `hasNext` in interface `javax.xml.stream.XMLEventReader`

    - #### nextEvent

          public javax.xml.stream.events.XMLEvent nextEvent()
                                                     throws javax.xml.stream.XMLStreamException

      Specified by:
        `nextEvent` in interface `javax.xml.stream.XMLEventReader`
      Throws:
        `javax.xml.stream.XMLStreamException`

    - #### next

          public java.lang.Object next()

      Specified by:
        `next` in interface `java.util.Iterator`

    - #### nextTag

          public javax.xml.stream.events.XMLEvent nextTag()
                                                   throws javax.xml.stream.XMLStreamException

      Specified by:
        `nextTag` in interface `javax.xml.stream.XMLEventReader`
      Throws:
        `javax.xml.stream.XMLStreamException`

    - #### peek

          public javax.xml.stream.events.XMLEvent peek()
                                                throws javax.xml.stream.XMLStreamException

      Specified by:
        `peek` in interface `javax.xml.stream.XMLEventReader`
      Throws:
        `javax.xml.stream.XMLStreamException`

    - #### remove

          public void remove()

      Specified by:
        `remove` in interface `java.util.Iterator`

Copyright © 2005-2021 Apache Software Foundation. All Rights Reserved.